#!/usr/local/bin/perl -w
use strict; use Tk;

my $main = new MainWindow;
my $t1 = $main->Scrolled("Text", -height => 5, -width => 40
                    )->pack(-expand => 1, -fill => "x");
my $t2 = $main->Scrolled("Text", -height => 5, -width => 40
                    )->pack(-expand => 1, -fill => "x");
my $menu_b1 = $main->Menu(-tearoff => 0, -menuitems => 
                   [ ["command" => "Save", -command => \&save],
                     ["command" => "Clear", -command => \&clear]
                   ]);
my $menu_b2 = $main->Menu(-tearoff => 0, -menuitems => 
                   [ ["command" => "2", -command => [\&zoom, 2]],
                     ["command" => "4", -command => [\&zoom, 4]],
                     ["command" => "8", -command => [\&zoom, 8]],
                   ]);
$main->Button(-text => "exit", -command => sub { exit })->pack();
$main->bind("Tk::Text", "<Button-3>", 
            sub { $menu_b1->Popup(-popover => 'cursor',
                                  -popanchor => "nw"); } );
$main->bind("Tk::Text", "<Button-2>", 
            sub { $menu_b2->Popup(-popover => 'cursor',
                                  -popanchor => "nw"); } );
MainLoop;
sub save { return }
sub clear { return }
sub zoom { print "zoom: $_[0]\n" }
