#!/usr/local/bin/perl -w
use strict; use Tk;

my $main = new MainWindow;
my $b = $main->Button(-text => "Press and see")->pack();

$b->bind("<Enter>", sub {print "Mouse Enter! ";  });
$b->bind("<ButtonPress-3>", sub {print "Button-3 Pressed! ";  });
$b->bind("<ButtonRelease-3>", sub {print "Button-3 Released! ";  });
$b->bind("<Leave>", sub {print "Mouse Left!\n";  });

$main->Button(-text => "Exit", 
              -command => sub { my @bindings = $b->bind();
                                print "bindings: @bindings\n";
                                exit;}
             )->pack();
MainLoop;
