#!/usr/local/bin/perl -w
use strict; use Tk;

my $main = new MainWindow;
my $b = $main->Button(-text => "Press", 
                      -command => sub {print ":-)\n"}
                     )->pack(-fill => "x");
$main->Button(-text => "Bindings", 
              -command => sub { my @binds = $b->bind("Tk::Button");
                                print "@binds\n"
                              }
                     )->pack(-fill => "x");
$main->Button(-text => "Exit", -command => sub { exit }
             )->pack(-fill => "x");
# <Button> means any mouse button
$b->bind("<Button>", sub { print "specific: $_[0]\n" });
$b->bind("<Button-3>", sub { print "detailed: $_[0]\n" });
$main->bind("Tk::Button", "<Button>", sub {print "general: $_[0]\n"});

MainLoop;
